> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance Statement Summary Report

> Get a balance statement summary report for the requested start and end date.



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml get /deliver/reports/balances
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/reports/balances:
    get:
      tags:
        - Reports
      summary: Get a balance statement summary report
      description: >-
        Get a balance statement summary report for the requested start and end
        date.
      operationId: get-reports-balances
      parameters:
        - name: start_time
          in: query
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/StartTime'
          x-orum-error-missing:
            message: start_time is required
            code: missing_start_time
          x-orum-error-invalid:
            message: start_time must be a valid timestamp
            code: invalid_start_time
        - name: end_time
          in: query
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/EndTime'
          x-orum-error-missing:
            message: end_time is required
            code: missing_end_time
          x-orum-error-invalid:
            message: end_time must be a valid timestamp
            code: invalid_end_time
        - name: report_scope
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ReportScope'
          x-orum-error-invalid:
            message: >-
              report_scope must be one of the following: total, enterprise,
              subledger
            code: invalid_report_scope
        - name: subledger_reference_id
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SubledgerReferenceId'
          x-orum-error-invalid:
            message: subledger_reference_id must be a valid string
            code: invalid_subledger_reference_id
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceReportResponse'
        '400':
          description: invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - read:reports
components:
  schemas:
    StartTime:
      type: string
      description: The start time of the report range in ISO-8601 format.
      format: date-time
      example: '2023-07-13T00:00:00.000Z'
    EndTime:
      type: string
      description: The end time of the report range in ISO-8601 format.
      format: date-time
      example: '2023-07-13T00:00:00.000Z'
    ReportScope:
      title: ReportScope
      type: string
      description: The scope of the report.
      enum:
        - total
        - enterprise
        - subledger
      default: total
    SubledgerReferenceId:
      title: SubledgerReferenceId
      type: string
      description: Unique reference id for the subledger resource. Generated by you.
      minLength: 1
      maxLength: 255
    BalanceReportResponse:
      title: BalanceReportResponse
      type: object
      required:
        - balance_statement_summary_report
      properties:
        balance_statement_summary_report:
          $ref: '#/components/schemas/BalanceReportResponseBase'
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    BalanceReportResponseBase:
      title: BalanceReportResponseBase
      type: object
      required:
        - start_time
        - end_time
        - account_balances
        - ledger_entry_balances
      properties:
        start_time:
          $ref: '#/components/schemas/StartTime'
        end_time:
          $ref: '#/components/schemas/EndTime'
        account_balances:
          $ref: '#/components/schemas/ReportAccountBalances'
        ledger_entry_balances:
          type: array
          items:
            $ref: '#/components/schemas/LedgerEntryBalance'
    ReportAccountBalances:
      title: ReportAccountBalances
      type: object
      description: Open and close balances for an account.
      required:
        - opening
        - closing
      properties:
        opening:
          $ref: '#/components/schemas/ReportBalanceAmounts'
        closing:
          $ref: '#/components/schemas/ReportBalanceAmounts'
    LedgerEntryBalance:
      type: object
      description: Ledger entries with type and debit/credit balances.
      required:
        - type
        - debit
        - credit
      properties:
        type:
          $ref: '#/components/schemas/LedgerEntryBalanceType'
        debit:
          $ref: '#/components/schemas/Amount'
        credit:
          $ref: '#/components/schemas/Amount'
    ReportBalanceAmounts:
      type: object
      description: Pending and available amounts.
      required:
        - pending_amount
        - available_amount
      properties:
        pending_amount:
          $ref: '#/components/schemas/Amount'
        available_amount:
          $ref: '#/components/schemas/Amount'
    LedgerEntryBalanceType:
      type: string
      description: Type of ledger entry.
      enum:
        - rtp
        - ach
        - sdach
        - ach_return
        - wire
        - wire_return
        - outbound_funds
        - inbound_funds
        - balance_top_up
    Amount:
      type: integer
      description: Amount in integral cents.
      format: int64
      example: 4295
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````